petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCompositeGetISLocalToGlobalMappings

gets an ISLocalToGlobalMapping for each DM in the DMComposite, maps to the composite global space

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeGetISLocalToGlobalMappings(DM dm,ISLocalToGlobalMapping **ltogs)

Collective on DM

### Input Parameter

dm -the packer object

### Output Parameters

ltogs -the individual mappings for each packed vector. Note that this includes all the ghost points that individual ghosted DMDA's may have.

### Notes

Each entry of ltogs should be destroyed with ISLocalToGlobalMappingDestroy(), the ltogs array should be freed with PetscFree().

Not available from Fortran

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(),
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetAccess(), DMCompositeScatter(), DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors(),DMCompositeGetEntries()

### Level

advanced

### Location

src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages